:class:`TextBox2`
-----------------

Attributes
==========

.. currentmodule:: psychopy.visual

.. autosummary::

    TextBox2

**The following `set______()` attributes all have equivalent `get______()`
attributes:**

.. autosummary::

    TextBox2.text
    TextBox2.alignment
    TextBox2.hasFocus
    TextBox2.overlaps
    TextBox2.contains
    TextBox2.clear
    TextBox2.reset
    TextBox2.font
    TextBox2.height
    TextBox2.anchor
    TextBox2.bold
    TextBox2.editable
    TextBox2.padding
    TextBox2.size
    TextBox2.pos
    TextBox2.units
    TextBox2.draw

Details
=======

.. autoclass:: TextBox2
    :members:
    :undoc-members:
    :inherited-members:
